<?php
header("content-type: application/x-javascript");
REQUIRE $_GET['wppath'];
//functions are included that were defined in browser-rejector.php; as well as all functions
if(brejectr_options_getOption('bversions') == 'latest') {
	$ieversion = '9';
	$chromeversion = '22';
	$ffversion = '15';
	$operaversion = '12';
	$safariversion = '6';
}
else {
	$ieversion = '9+';
	$chromeversion = '4+';
	$ffversion = '4+';
	$operaversion = '11+';
	$safariversion = '5+';
}
if(brejectr_options_getOption('closeoption') == 'no')
	$closeoption = 'false';
else
	$closeoption = 'true';
$closecookie = 'false';
if(brejectr_options_getOption('closecookie') == 'no')
	$closecookie = 'false';
else
	$closecookie = 'true';
?>
jQuery(document).ready(function($) {
	$.reject({
		reject: {
			safari2: <?php echo brejectr_tftostring(brejectr_options_getOption('safari2-3')); ?>, // Apple Safari 
			safari3: <?php echo brejectr_tftostring(brejectr_options_getOption('safari2-3')); ?>, 
			safari4: <?php echo brejectr_tftostring(brejectr_options_getOption('safari4')); ?>, 
			safari: <?php echo brejectr_tftostring(brejectr_options_getOption('safari')); ?>,
			chrome1: <?php echo brejectr_tftostring(brejectr_options_getOption('chrome1-3')); ?>, // Google Chrome (very old)
			chrome2: <?php echo brejectr_tftostring(brejectr_options_getOption('chrome1-3')); ?>,
			chrome3: <?php echo brejectr_tftostring(brejectr_options_getOption('chrome1-3')); ?>,
			chrome: <?php echo brejectr_tftostring(brejectr_options_getOption('chrome')); ?>,
			firefox1: <?php echo brejectr_tftostring(brejectr_options_getOption('firefox1-2')); ?>, // Mozilla Firefox
			firefox2: <?php echo brejectr_tftostring(brejectr_options_getOption('firefox1-2')); ?>,
			firefox3: <?php echo brejectr_tftostring(brejectr_options_getOption('firefox3')); ?>,
			firefox: <?php echo brejectr_tftostring(brejectr_options_getOption('firefox')); ?>,
			msie5: <?php echo brejectr_tftostring(brejectr_options_getOption('msie5')); ?>, // Microsoft Internet Explorer
			msie6: <?php echo brejectr_tftostring(brejectr_options_getOption('msie6')); ?>,
			msie7: <?php echo brejectr_tftostring(brejectr_options_getOption('msie7')); ?>,
			msie8: <?php echo brejectr_tftostring(brejectr_options_getOption('msie8')); ?>,
			//msie9: <?php echo brejectr_tftostring(brejectr_options_getOption('msie9')); ?>,
			msie: <?php echo brejectr_tftostring(brejectr_options_getOption('msie')); ?>,
			opera7: <?php echo brejectr_tftostring(brejectr_options_getOption('opera7-9')); ?>, // Opera
			opera8: <?php echo brejectr_tftostring(brejectr_options_getOption('opera7-9')); ?>,
			opera9: <?php echo brejectr_tftostring(brejectr_options_getOption('opera7-9')); ?>,
			opera10: <?php echo brejectr_tftostring(brejectr_options_getOption('opera10')); ?>,
			opera: <?php echo brejectr_tftostring(brejectr_options_getOption('opera')); ?>,
			konqueror1: true, // Konqueror (Linux) - not included in plugin options for simplicity
			konqueror2: true,
			konqueror3: true,
			unknown: false // Everything else
		},
		header: "<?php echo brejectr_options_getOption('headertext'); ?>", // header
		paragraph1: "<?php echo brejectr_options_getOption('p1text'); ?>", // Paragraph 1
		paragraph2: "<?php echo brejectr_options_getOption('p2text'); ?>", // Paragraph 2
		close: <?php echo $closeoption; ?>,
		closeLink: "<?php echo brejectr_options_getOption('closelink'); ?>", // Close link text
		closeMessage: "<?php echo brejectr_options_getOption('closemessage'); ?>", // Message below close window link
		closeCookie: <?php echo $closecookie; ?>, // Set cookie to remmember close for this session
		display: ['chrome','gcf','msie','firefox','opera','safari'], //turns out ie9+ beats firefox in capabilities and overall features, so suggest it first; safari after Opera because of it's highly minimal OS support (latest OSX only)
		browserInfo: { // Settings for which browsers to display
			firefox: {
				text: '<?php _e('Firefox', 'browser-rejector') ?> ' + '<?php echo $ffversion; ?>', // Text below the icon  
				url: 'http://www.mozilla.com/firefox/new' // URL For icon/text link  
			},
			safari: {
				text: '<?php _e('Safari', 'browser-rejector') ?> ' + '<?php echo $safariversion; ?>',  
				url: 'http://www.apple.com/safari/'
			},
			opera: {
				text: '<?php _e('Opera', 'browser-rejector') ?> ' + '<?php echo $operaversion; ?>',  
				url: 'http://www.opera.com/download/'  
			},
			chrome: {
				text: '<?php _e('Chrome', 'browser-rejector') ?> ' + '<?php echo $chromeversion; ?>',  
				url: 'http://www.google.com/chrome/'
			},  
			msie: {
				text: '<?php _e('Internet Explorer', 'browser-rejector') ?> <b style="color: #00f; background-color: #fff;">' + '<?php echo $ieversion; ?>' + '</b>',  
				url: 'http://www.microsoft.com/windows/internet-explorer/'
			},
			gcf: {
				text: "<?php _e('Google Chrome Frame', 'browser-rejector') ?> <i><?php _e("(doesn't require admin)", 'browser-rejector') ?></i>",
				url: 'http://google.com/chromeframe/',
				// This browser option will only be displayed for MSIE
				allow: { all: false, msie: true }
			}
		},
		imagePath: '<?php echo plugins_url('/browsers/', __FILE__); // Path where images are located ?>'
	});	
});